Bug 537232 - PU: need OpenMPI wrapper script
PU: need OpenMPI wrapper script
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
1.1
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Pete MacKinnon
Martin Kudlej
:
Depends On: 549432
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-12 16:31 EST by Jon Thomas
Modified: 2010-10-14 12:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This update introduces ompiscript, an OpenMPI wrapper script that works with Condor.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wrapper script, test prog, makefile, config, submit file (20.00 KB, application/x-tar)
2009-11-17 18:21 EST, Pete MacKinnon
no flags Details

  None (edit)
Description Jon Thomas 2009-11-12 16:31:34 EST
Description of problem:

We need an OpenMPI (mpirun) wrapper script that works w/ Condor.  Matt had alluded that such scripts exist a while back and that he could help get us that.

The RFE here would be to request that working wrapper scripts be included in a future condor RPM release.
Files:
Comment 2 Pete MacKinnon 2009-11-17 18:21:03 EST
Created attachment 369980 [details]
Wrapper script, test prog, makefile, config, submit file

Test environment: FC11, Personal Condor (7.4.1-0.5)

Files attached:

condor_config.local - to set up personal condor as dedicated scheduler+resource (if needed)
mpi.sub - PU submit file
ompiscript - wrapper script that is very similar to packaged mich1, lam scripts
sshd.sh - modified from stock to make this work properly for my test (not sure how it ever worked)
summpi.c - simple MPI sum C++ code
Makefile - for above

Note the use of pmackinn comments to indicate where I had to tweak/optimize things in my test env. This hasn't been tested in our MRG pool but I guess I don't foresee Condor problems (maybe MPI though which is out of my element). The use of file transfer in the submission is crucial for the supporting scripts like sshd.sh. I have a theory about this which I will pursue.
Comment 3 Matthew Farrellee 2010-02-03 08:41:14 EST
http://condor-wiki.cs.wisc.edu/index.cgi/tktview?tn=1174

MODI->ASSIGNED (might as well be POST) while scripts are going upstream
Comment 4 Matthew Farrellee 2010-03-03 22:30:45 EST
Built in condor 7.4.3-0.4
Comment 5 Martin Kudlej 2010-03-17 11:30:37 EDT
Tested on RHEL 4/5 x i386/x86_64 with condor-7.4.3-0.5 and it works.
Comment 6 Matthew Farrellee 2010-04-12 16:25:03 EDT
This should be tested across at least 4 machines
Comment 7 Martin Kudlej 2010-04-26 09:49:20 EDT
Tested on 4 machines for each combination RHEL 4/5 x i386/x86_64 with condor-7.4.3-0.11 and it works.
Comment 11 Florian Nadge 2010-10-07 11:43:39 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This new feature adds a an OpenMPI (mpirun) wrapper script that works with Condor.
Comment 12 Florian Nadge 2010-10-08 04:29:22 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-This new feature adds a an OpenMPI (mpirun) wrapper script that works with Condor.+This new feature adds an OpenMPI wrapper script to Condor. It adds support for OpenMPI jobs.
Comment 13 Jaromir Hradilek 2010-10-13 11:54:19 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-This new feature adds an OpenMPI wrapper script to Condor. It adds support for OpenMPI jobs.+This update introduces ompiscript, an OpenMPI wrapper script that works with Condor.
Comment 15 errata-xmlrpc 2010-10-14 12:09:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.